postgresql-9.5-pllua_1.0-6_amd64.deb


Advertisement

Description

postgresql-9.5-pllua - Lua procedural language for PostgreSQL 9.5

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: postgresql-9.5-pllua
Package version: 1.0
Package release: 6
Package architecture: amd64
Package type: deb
Installed size: 121 B
Download size: 38.55 KB
Official Mirror: archive.ubuntu.com
PL/Lua is an implementation of Lua as a loadable procedural language for PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers written in the Lua programming language. It brings the power and simplicity of Lua to PostgreSQL, including: small memory footprint, simple syntax, lexical scoping, functions as first-class values, and coroutines for non-preemptive threading.

Alternatives

    Download

    Source package: postgresql-pllua

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install postgresql-9.5-pllua deb package:
      # sudo apt-get install postgresql-9.5-pllua

    Files

    • /usr/lib/postgresql/9.5/lib/pllua.so
    • /usr/share/doc/postgresql-9.5-pllua/README.Debian
    • /usr/share/doc/postgresql-9.5-pllua/changelog.Debian.gz
    • /usr/share/doc/postgresql-9.5-pllua/copyright
    • /usr/share/doc/postgresql-9.5-pllua/index.html
    • /usr/share/doc/postgresql-9.5-pllua/style.css
    • /usr/share/doc/postgresql-9.5-pllua/examples/plluatest.out.gz
    • /usr/share/doc/postgresql-9.5-pllua/examples/plluatest.sql.gz
    • /usr/share/postgresql/9.5/extension/pllua--1.0.sql
    • /usr/share/postgresql/9.5/extension/pllua.control

    Changelog

    2016-01-09 - Christoph Berg <myon@debian.org> postgresql-pllua (1:1.0-6) unstable; urgency=medium * Rebuild against PostgreSQL 9.5.

    2014-08-09 - Christoph Berg <myon@debian.org> postgresql-pllua (1:1.0-5) unstable; urgency=medium * Set team as maintainer.

    2014-07-27 - Christoph Berg <myon@debian.org> postgresql-pllua (1:1.0-4) unstable; urgency=medium * Rebuild against PostgreSQL 9.4.

    2014-02-07 - Christoph Berg <myon@debian.org> postgresql-pllua (1:1.0-3) unstable; urgency=medium * Run regression tests in the toplevel dir so the source doesn't need to be built.

    2014-02-06 - Christoph Berg <christoph.berg@credativ.de> postgresql-pllua (1:1.0-2) unstable; urgency=medium * debian/tests/control: Depend on postgresql-server-dev-all. * debian/tests/installcheck: Use pg_buildext installcheck.

    2013-09-16 - Christoph Berg <myon@debian.org> postgresql-pllua (1:1.0-1) unstable; urgency=low * New upstream release. * Use "all" in debian/pgversions. (Tests need CREATE EXTENSION, skip tests on 8.4 and 9.0.) * Refresh patches, add fixes for 9.3. * Convert rules to use "dh". * Add autopkgtest support.

    2011-08-24 - Christoph Berg <myon@debian.org> postgresql-pllua (1:0.3.2-4) unstable; urgency=low * Rebuild for PostgreSQL 9.1.

    2011-04-01 - Christoph Berg <myon@debian.org> postgresql-pllua (1:0.3.2-3) unstable; urgency=low * Actually install style.css file.

    2011-04-01 - Christoph Berg <myon@debian.org> postgresql-pllua (1:0.3.2-2) unstable; urgency=low * Section: database. * Include style.css in package, thanks Alexander Reichle-Schmehl for spotting.

    2011-03-31 - Christoph Berg <myon@debian.org> postgresql-pllua (1:0.3.2-1) unstable; urgency=low * New maintainer. * New upstream version. (And 0.8.1 was actually 0.3.1!) * Convert to 3.0 (quilt), bump to dh 7. * Use pg_buildext to support 8.4 and 9.0. (Shipping our private copy for now, adding an "install" target.) Closes: #618163

    Advertisement
    Advertisement